From 673429eeabc33d32b5a5c9fd9d89cc18da659d2e Mon Sep 17 00:00:00 2001
From: Kedar Sovani <kedars@marvell.com>
Date: Thu, 18 Jun 2009 12:18:34 +0200
Subject: [PATCH] busybox: fix the config values for ARM.

Signed-off-by: Kedar Sovani <kedars@marvell.com>
---
 busybox.spec |   19 +++++++++++++++++--
 1 files changed, 17 insertions(+), 2 deletions(-)

diff --git a/busybox.spec b/busybox.spec
index 6e8a91f..03c14b8 100644
--- a/busybox.spec
+++ b/busybox.spec
@@ -1,7 +1,7 @@
 Summary: Statically linked binary providing simplified versions of system commands
 Name: busybox
 Version: 1.13.2
-Release: 2%{?dist}
+Release: 2%{?dist}.fa1
 Epoch: 1
 License: GPLv2
 Group: System Environment/Shells
@@ -61,6 +61,9 @@ better suited to normal use.
 %patch16 -b .ia64 -p1
 %patch20 -b .sel -p1
 cat %{SOURCE3} >uClibc-0.9.30/.config1
+%ifarch %{arm}
+sed -i -e 's/^UCLIBC_HAS_FPU/# UCLIBC_HAS_FPU is not set/' uClibc-0.9.30/.config1
+%endif
 %patch21 -b .orig -p0
 
 
@@ -76,9 +79,18 @@ cp -a /usr/include/asm kernel-include
 cp -a /usr/include/asm-generic kernel-include
 cp -a /usr/include/linux kernel-include
 # uclibc can't be built on ppc64, we set $arch to "" in this case
-arch=`uname -m | sed -e 's/i.86/i386/' -e 's/ppc/powerpc/' -e 's/ppc64//' -e 's/powerpc64//'`
+arch=`uname -m | sed -e 's/i.86/i386/' -e 's/ppc/powerpc/' -e 's/ppc64//' -e 's/powerpc64//' -e 's/arm.*/arm/'`
 echo "TARGET_$arch=y" >.config
 echo "TARGET_ARCH=\"$arch\"" >>.config
+%ifarch %{arm}
+cat << EOF >> .config
+CONFIG_ARM_EABI=y
+ARCH_LITTLE_ENDIAN=y
+ARCH_WANTS_LITTLE_ENDIAN=y
+UCLIBC_HAS_SOFT_FLOAT=y
+EOF
+%endif
+
 cat .config1 >>.config
 if test "$arch"; then yes "" | make oldconfig; fi
 if test "$arch"; then cat .config; fi
@@ -150,6 +162,9 @@ rm -rf $RPM_BUILD_ROOT
 /sbin/busybox.petitboot
 
 %changelog
+* Thu Jun 18 2009 Kedar Sovani <kedars@marvell.com> - 1:1.13.2-2.fa1
+- Use teh correct value for ARM.
+
 * Mon Feb  9 2009 Ivana Varekova <varekova@redhat.com> - 1:1.13.2-2
 - use uClibc nstead of glibc for static build - thanks Denys Vlasenko
 
-- 
1.5.5.6

